#pragma once
#include <memory>
#include <string>
#include "slides_ui.hpp"

std::shared_ptr<SlideDeck> parse_slides(const std::string& md_file);

std::string load_file(const std::string& md_file);

struct Parser {
  bool error = false;

  Parser();
  bool parse(const std::string& input);
  void finalize();
};
